import type { ReactotronCore } from "reactotron-core-client";
export interface AsyncStorageOptions {
    ignore?: string[];
}
export interface AsyncStorageHandler {
    getItem: (key: string) => string;
    setItem: (key: string, value: string, callback?: (error: Error) => void) => void;
    removeItem: (key: string, callback?: (error: Error) => void) => void;
    mergeItem: (key: string, value: string, callback?: (error: Error) => void) => void;
    clear: (callback: (error: Error) => void) => void;
    multiSet: (pairs: string[][], callback?: (error: Error) => void) => void;
    multiRemove: (keys: string[], callback?: (error: Error) => void) => void;
    multiMerge: (pairs: string[][], callback?: (error: Error) => void) => void;
}
declare const asyncStorage: (options: AsyncStorageOptions) => (reactotron: ReactotronCore) => {
    features: {
        trackAsyncStorage: () => void;
        untrackAsyncStorage: () => void;
    };
};
export default asyncStorage;
