/// <reference types="react" />
import type { ClientOptions, Reactotron } from "reactotron-core-client";
import asyncStorage, { AsyncStorageHandler, AsyncStorageOptions } from "./plugins/asyncStorage";
import overlay from "./plugins/overlay";
import type { OverlayFeatures } from "./plugins/overlay";
import openInEditor, { OpenInEditorOptions } from "./plugins/openInEditor";
import trackGlobalErrors, { TrackGlobalErrorsOptions } from "./plugins/trackGlobalErrors";
import networking, { NetworkingOptions } from "./plugins/networking";
import storybook from "./plugins/storybook";
import devTools from "./plugins/devTools";
export interface UseReactNativeOptions {
    errors?: TrackGlobalErrorsOptions | boolean;
    editor?: OpenInEditorOptions | boolean;
    overlay?: boolean;
    asyncStorage?: AsyncStorageOptions | boolean;
    networking?: NetworkingOptions | boolean;
    storybook?: boolean;
    devTools?: boolean;
}
export interface ReactotronReactNative extends Reactotron {
    useReactNative: (options?: UseReactNativeOptions) => this;
    overlay: OverlayFeatures["overlay"];
    storybookSwitcher: (App: React.ReactNode) => (Root: React.ReactNode) => React.ReactNode;
    asyncStorageHandler?: AsyncStorageHandler;
    setAsyncStorageHandler?: (asyncStorage: any) => this;
}
declare const reactotron: ReactotronReactNative;
export { asyncStorage, trackGlobalErrors, openInEditor, overlay, networking, storybook, devTools };
export type { ClientOptions };
export default reactotron;
